<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package heacool
 */
get_header();
?>
        <div class="page-content">
            <div class="container">
                <div class="blog-page">
                    <div class="row">
                        <?php if (is_active_sidebar('blogleftsidebar')) { ?>
                            <div class="col-lg-9">
                        <?php }else{ ?>
                            <div class="col-md-12">
                        <?php } ?>
                            <div class="blog_posts">
                                <?php
                                if (have_posts()) :
                                    /* Start the Loop */
                                    while (have_posts()) :
                                        the_post();
                                        get_template_part('template-parts/content',get_post_format());
                                    endwhile;
                                    ?>
                            </div><!--blog_posts end-->
                                <?php
                                    the_posts_pagination(array(
                                        'mid_size' => 2,
                                        'prev_next'=>false
                                    ));
                                else :
                                    get_template_part('template-parts/content', 'none');
                                endif;
                                ?>
                        </div>
                             <?php
                                if (is_active_sidebar('blogleftsidebar')) {
                                    get_sidebar();
                                }
                             ?>
                    </div>
                </div>
            </div>
        </div><!--page-content end-->
<?php
get_footer();